HDU 4981

超级水的一道题。上题目

Problem Description

A median in a sequence with the length of
n
is an element which occupies position number ?n+12?
after we sort the elements in the non-decreasing order (the elements are numbered starting with 1). A median of an array (2, 6, 1, 2, 3) is the number 2, and a median of array (0, 96, 17, 23) — the number 17.

An average of a sequence is the sum of sequence divided the size of the sequence.

Goffi likes median very much and he hates average number. So if a sequence‘s average number is larger than or equal to the median of sequence, Goffi will hate the sequence. Otherwise, Goffi will like it.

Now, your are given a sequence. Please find whether Goffi will like it or hate it.

Input

Input contains multiple test cases (less than 100). For each test case, the first line contains an integer
n
(1≤n≤1000),
indicating the size of the sequence. Then in the next line, there are
n
integers a1,a2,…,an
(1≤ai≤1000),
seperated by one space.

Output

For each case, if Goffi like the sequence, output "YES" in a line. Otherwise, output "NO".

Sample Input

5
1 2 3 4 5
4
1 5 6 6

Sample Output

NO
YES

让你判断五个数中(N+1)/2的位置这个数是否大于这五个数的平均数。大于就YES,反之NO。(坑点,要将五个数排序。)

上代码

#include <string.h>
#include <algorithm>
#include <stdio.h>
using namespace std;
int main()
{
    double a[1050];
    int n,i;
    while(~scanf("%d",&n))
    {
        memset(a,0,sizeof(a));
        double sum=0;
        for(i=1;i<=n;i++)
        {
            scanf("%lf",&a[i]);
            sum+=a[i];
        }
        sum=sum/n;
        sort(a+1,a+n+1);
        int mid=(n+1)/2;
        if(sum<a[mid])
            printf("YES\n");
        else
            printf("NO\n");
    }
    return 0;
}
时间: 2024-10-12 10:05:30

HDU 4981的相关文章

HDU 4981 Goffi and Median(水)

HDU 4981 Goffi and Median 思路:排序就可以得到中间数,然后总和和中间数*n比较一下即可 代码: #include <cstdio> #include <cstring> #include <cmath> #include <algorithm> using namespace std; const int N = 1005; int n, a[N], sum; int main() { while (~scanf("%d&

[BestCoder Round #6] hdu 4981 Goffi and Median (水题)

Goffi and Median Problem Description A median in a sequence with the length of n is an element which occupies position number ?n+12? after we sort the elements in the non-decreasing order (the elements are numbered starting with 1). A median of an ar

HDU 4981 Goffi and Median

题解:排序取中位数,然后与平均数比较即可. #include <cstdio> #include <algorithm> using namespace std; double a[1005],ave,med,sum; int n; int main(){ while(~scanf("%d",&n)){ sum=0; for(int i=1;i<=n;i++){scanf("%lf",&a[i]);sum+=a[i];}

best coder 第六场

传说当中的best coder让我做确实感觉怪怪的,第一道wa了两发,你就知道我当时的 窘境了,哎,不提了. 就说第二题吧,我一开始是这样想的,从1到k-2全都赋值为各自的序列数,即1,2,3... 直到k-2,     然后算出前k-1项的和为beg,     前k-2项的和为beg2; 从beg开始,直到n循环,找到那个能完全开方的数 i,用n-i就是第k个数,i-beg2就是 倒数第2个数,这是由于每个数都不相同,所以加上几个条件就可以判断出来了. hdu   4981 #include<

HDU 6203 ping ping ping [LCA,贪心,DFS序,BIT(树状数组)]

题目链接:[http://acm.hdu.edu.cn/showproblem.php?pid=6203] 题意 :给出一棵树,如果(a,b)路径上有坏点,那么(a,b)之间不联通,给出一些不联通的点对,然后判断最少有多少个坏点. 题解 :求每个点对的LCA,然后根据LCA的深度排序.从LCA最深的点对开始,如果a或者b点已经有点被标记了,那么continue,否者标记(a,b)LCA的子树每个顶点加1. #include<Bits/stdc++.h> using namespace std;

HDU 5542 The Battle of Chibi dp+树状数组

题目:http://acm.hdu.edu.cn/showproblem.php?pid=5542 题意:给你n个数,求其中上升子序列长度为m的个数 可以考虑用dp[i][j]表示以a[i]结尾的长度为j的上升子序列有多少 裸的dp是o(n2m) 所以需要优化 我们可以发现dp的第3维是找比它小的数,那么就可以用树状数组来找 这样就可以降低复杂度 #include<iostream> #include<cstdio> #include<cstring> #include

hdu 1207 汉诺塔II (DP+递推)

汉诺塔II Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)Total Submission(s): 4529    Accepted Submission(s): 2231 Problem Description 经典的汉诺塔问题经常作为一个递归的经典例题存在.可能有人并不知道汉诺塔问题的典故.汉诺塔来源于印度传说的一个故事,上帝创造世界时作了三根金刚石柱子,在一根柱子上从下往

[hdu 2102]bfs+注意INF

题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=2102 感觉这个题非常水,结果一直WA,最后发现居然是0x3f3f3f3f不够大导致的--把INF改成INF+INF就过了. #include<bits/stdc++.h> using namespace std; bool vis[2][15][15]; char s[2][15][15]; const int INF=0x3f3f3f3f; const int fx[]={0,0,1,-1};

HDU 3555 Bomb (数位DP)

数位dp,主要用来解决统计满足某类特殊关系或有某些特点的区间内的数的个数,它是按位来进行计数统计的,可以保存子状态,速度较快.数位dp做多了后,套路基本上都差不多,关键把要保存的状态给抽象出来,保存下来. 简介: 顾名思义,所谓的数位DP就是按照数字的个,十,百,千--位数进行的DP.数位DP的题目有着非常明显的性质: 询问[l,r]的区间内,有多少的数字满足某个性质 做法根据前缀和的思想,求出[0,l-1]和[0,r]中满足性质的数的个数,然后相减即可. 算法核心: 关于数位DP,貌似写法还是